Bug 1181055 - [abrt] system-config-printer: authconn.py:258:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
Summary: [abrt] system-config-printer: authconn.py:258:_authloop:AttributeError: 'modu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cups
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5384360e7ac094094b80090f0ab...
: 1185372 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 09:59 UTC by gwir
Modified: 2015-01-27 02:56 UTC (History)
5 users (show)

Fixed In Version: python-cups-1.9.70-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:56:59 UTC


Attachments (Terms of Use)
File: backtrace (1.43 KB, text/plain)
2015-01-12 09:59 UTC, gwir
no flags Details
File: environ (1.29 KB, text/plain)
2015-01-12 09:59 UTC, gwir
no flags Details

Description gwir 2015-01-12 09:59:29 UTC
Version-Release number of selected component:
system-config-printer-1.5.4-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python3 /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
authconn.py:258:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/authconn.py", line 243, in _authloop
    result = fn.__call__ (*args, **kwds)
cups.IPPError: (1024, 'client-error-bad-request')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/printerproperties.py", line 1260, in on_btnSelfTest_clicked
    self.maintenance_command ("PrintSelfTestPage")
  File "/usr/share/system-config-printer/printerproperties.py", line 1240, in maintenance_command
    user=cups.getUser ())
  File "/usr/share/system-config-printer/authconn.py", line 225, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 258, in _authloop
    e == cups.IPP_AUTHENTICATION_CANCELED):
AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'

Local variables in innermost frame:
kwds: {'format': 'application/vnd.cups-command', 'file': '/tmp/tmpo4_hsbja', 'user': 'gilles'}
self: <authconn.Connection object at 0x7f273496f898>
args: ('HP-Color-LaserJet-CP4005',)
m: 'client-error-bad-request'
retry: False
fname: 'printTestPage'
fn: <method-wrapper '__call__' of builtin_function_or_method object at 0x7f2734221588>
c: <cupspk.Connection object at 0x7f27349869e8>

Comment 1 gwir 2015-01-12 09:59:32 UTC
Created attachment 979038 [details]
File: backtrace

Comment 2 gwir 2015-01-12 09:59:33 UTC
Created attachment 979039 [details]
File: environ

Comment 3 Fedora Update System 2015-01-12 12:27:20 UTC
python-cups-1.9.70-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-cups-1.9.70-2.fc21

Comment 4 Fedora Update System 2015-01-12 23:59:10 UTC
Package python-cups-1.9.70-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cups-1.9.70-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0566/python-cups-1.9.70-2.fc21
then log in and leave karma (feedback).

Comment 5 gwir 2015-01-13 08:21:40 UTC
The update seems to work. Thank you for this quick resolution

Comment 6 Fedora Update System 2015-01-17 05:41:20 UTC
Package python-cups-1.9.70-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-cups-1.9.70-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0566/python-cups-1.9.70-3.fc21
then log in and leave karma (feedback).

Comment 7 gwir 2015-01-23 08:29:07 UTC
The update seems to work.

Comment 8 Tim Waugh 2015-01-23 15:24:27 UTC
*** Bug 1185372 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2015-01-27 02:56:59 UTC
python-cups-1.9.70-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.